.home-hero {
  position: relative;
  width: 100%;
  height: clamp(50rem, calc(var(--vh, 1vh) * 100), 85rem);
  @media (min-width: 1200px) {
    --image-height: 30rem;
  }
  & .home-hero__slider {
    object-fit: cover;
    width: 100%;
    height: 100%;
    & .swiper-wrapper {
      height: 100%;
      width: 100%;
    }
    & .swiper-slide {
      height: 100%;
      width: 100%;
      & img {
        object-fit: cover;
      	height: 100%;
      	width: 100%;
      }
    }
  }
  & .home-hero__title {
    z-index: 2;
    position: absolute;
    right: 1rem;
    bottom: 0.875rem;
    &.home-hero__title--2 {
      display: none;
    }
    @media (min-width: 768px) {
      right: 4rem;
      bottom: 2rem;
      transform: scale(1.2);
    }
    @media (min-width: 1200px) {
      right: 1.5rem;
      bottom: 2.5rem;
      transform: scale(1);
      &.home-hero__title--1 {
        display: none;
      }
      &.home-hero__title--2 {
        display: block;
      }
    }
  }
  &::before {
    z-index: 2;
    content: "";
    width: 100%;
    height: 5rem;
    background-image: url("/system_panel/uploads/images/wave.png");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: absolute;
    bottom: -1px;
    left: 0;
    @media (min-width: 768px) {
      height: 8rem;
    }
    @media (min-width: 1200px) {
      height: 10rem;
    }
  }
}

.swiper:not(.swiper-initialized) {
  & .swiper-wrapper {
    display: flex;
    overflow: auto;
  }
  & .swiper-slide {
    min-width: 90%;
  }
  &.home-reasons-slider .swiper-slide {
    min-width: 33%;
  }
  &.home-facilities-slider .swiper-slide {
    min-width: 48%;
  }
}

.home-reasons-bg-flower {
  &::before {
    content: "";
    aspect-ratio: 540 / 535;
    width: 33.75rem;
    position: absolute;
    bottom: -9.375rem;
    right: -4.875rem;
    background-image: url("/system_panel/uploads/images/flower-2.svg");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    opacity: 20%;
  }
  @media (min-width: 768px) {
    &::before {
      opacity: 60%;
    }
  }
  @media (min-width: 1200px) {
    &::before {
      opacity: 100%;
    }
  }
}

.home-reasons-slider {
  width: 100%;
  overflow: visible;
}

.home-reason-num {
  z-index: 1;
  position: absolute;
  top: -3rem;
  left: -2rem;
  aspect-ratio: 1 / 1;
  width: 6.25rem;
  border-radius: 9999px;
  background-color: var(--orange);
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1;
  letter-spacing: 0;
  font-family: var(--font-display);
  font-weight: 400;
  font-size: 3.5rem;
  color: hsl(0deg 0% 100% / 80%);
  &::before {
    pointer-events: none;
    content: "";
    aspect-ratio: 1 / 1;
    width: 5.75rem;
    border-radius: 9999px;
    border: 4px solid hsl(0deg 0% 100% / 80%);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
}

.home-facilities-slider {
  width: 100%;
  overflow: visible;
  @media (min-width: 1200px) {
    & .swiper-wrapper {
      display: grid;
      grid-template-columns: repeat(2, minmax(0, 1fr));
      gap: 3rem;
      & .swiper-slide {
        width: 100% !important;
        margin-right: 0 !important;
      }
    }
  }
}

.home-facilies-bg-flower {
  &::before {
    content: "";
    aspect-ratio: 540 / 535;
    width: 33.75rem;
    position: absolute;
    top: 25rem;
    left: -10rem;
    background-image: url("/system_panel/uploads/images/flower-2.svg");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    opacity: 20%;
  }
  @media (min-width: 768px) {
    &::before {
      opacity: 60%;
    }
  }
  @media (min-width: 1200px) {
    &::before {
      opacity: 100%;
    }
  }
}

.home-flow-num {
  position: relative;
  z-index: 0;
  &::before {
    content: "";
    aspect-ratio: 437 / 418;
    width: 4.375rem;
    position: absolute;
    top: 0;
    left: 0;
    background-image: url("/system_panel/uploads/images/peach-flower.svg");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    opacity: 20%;
    z-index: -1;
  }
}
